Skip site navigation (1) Skip section navigation (2)

Re: DBI and Pg error

From: Tom Lane <tgl(at)sss(dot)pgh(dot)pa(dot)us>
To: info(at)online411(dot)com
Cc: "pgsql-interfaces(at)postgresql(dot)org" <pgsql-interfaces(at)postgresql(dot)org>
Subject: Re: DBI and Pg error
Date: 2000-05-03 03:53:12
Message-ID: 6081.957325992@sss.pgh.pa.us (view raw or flat)
Thread:
Lists: pgsql-interfaces
jim <info(at)online411(dot)com> writes:
> install_driver(Pg) failed" Can't load '/usr/libdata/perl5/site_perl/i386-bsdos/auto/DBD/Pg/Pg.so'
> for module DBD::Pg: File not found at /usr/libdata/perl5/5.00503/i386-bsdos/DynaLoader.pm line 169. 

> I checked the two files, they all exist! 

Dynamic library loaders are notorious for the poor quality of their
error messages :-(.  I'll bet that the file that's not being found is
not either of the files mentioned above, but a shared library that they
depend on.  In other words, either libpq.so or a library that it depends
on in turn.  Since it works for you locally, a good bet is that your CGI
environment doesn't have the right setting of LD_LIBRARY_PATH (or
whatever environment variable determines shared-library search path
on your platform).

			regards, tom lane

In response to

pgsql-interfaces by date

Next:From: Thomas LockhartDate: 2000-05-03 04:21:04
Subject: Re: [HACKERS] Request for 7.0 JDBC status
Previous:From: Bruce MomjianDate: 2000-05-03 02:27:40
Subject: Re: [HACKERS] 7.0RC2 compile error !

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group